package com.example.levischmidt.glidebug601;

import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.os.AsyncTask;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.support.v7.widget.LinearLayoutManager;
import android.support.v7.widget.RecyclerView;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.TextView;

import com.bumptech.glide.Glide;

import java.io.InputStream;
import java.util.ArrayList;
import java.util.HashMap;

public class MainActivity extends AppCompatActivity {
    
    private static class Service {
        private String serviceName;
        private String imageUrl;

        private Service(String serviceName, String imageUrl) {
            this.serviceName = serviceName;
            this.imageUrl = imageUrl;
        }
    }

    ArrayList<Service> services = new ArrayList<Service>(){
        {
            add(new Service("Netflix", "https://s.yimg.com/pe/vguide/netflix.png"));
            add(new Service("Hulu", "https://s.yimg.com/pe/vguide/hulu.png"));
            add(new Service("Amazon", "https://s.yimg.com/pe/vguide/amazon.png"));
            add(new Service("HBO", "https://s.yimg.com/pe/vguide/hbo.png"));
            add(new Service("Showtime", "https://s.yimg.com/pe/vguide/showtime.png"));
            add(new Service("YouTube", "https://s.yimg.com/pe/vguide/youtube.png"));
            add(new Service("Fox", "https://s.yimg.com/pe/vguide/fox.png"));
            add(new Service("CBS", "https://s.yimg.com/pe/vguide/cbs.png"));
            add(new Service("NBC", "https://s.yimg.com/pe/vguide/nbc.png"));
            add(new Service("ABC", "https://s.yimg.com/pe/vguide/abc.png"));
            add(new Service("TBS", "https://s.yimg.com/pe/vguide/tbs.png"));
            add(new Service("The CW", "https://s.yimg.com/pe/vguide/the-cw.png"));
            add(new Service("Crackle", "https://s.yimg.com/pe/vguide/crackle.png"));
            add(new Service("A&E", "https://s.yimg.com/pe/vguide/a-e.png"));
            add(new Service("ABC Family", "https://s.yimg.com/pe/vguide/abc-family.png"));
            add(new Service("AMC", "https://s.yimg.com/pe/vguide/amc.png"));
            add(new Service("Cartoon Network", "https://s.yimg.com/pe/vguide/cartoon-network.png"));
            add(new Service("Adult Swim", "https://s.yimg.com/pe/vguide/adult-swim.png"));
            add(new Service("Comedy Central", "https://s.yimg.com/pe/vguide/comedy-central.png"));
            add(new Service("Disney", "https://s.yimg.com/pe/vguide/disney.png"));
            add(new Service("Lifetime", "https://s.yimg.com/pe/vguide/lifetime.png"));
            add(new Service("MTV", "https://s.yimg.com/pe/vguide/mtv.png"));
            add(new Service("nick.com", "https://s.yimg.com/pe/vguide/nick-com.png"));
            add(new Service("PBS", "https://s.yimg.com/pe/vguide/pbs.png"));
            add(new Service("Bravo", "https://s.yimg.com/pe/vguide/bravo.png"));
            add(new Service("FX", "https://s.yimg.com/pe/vguide/fx.png"));
            add(new Service("History", "https://s.yimg.com/pe/vguide/history.png"));
            add(new Service("TNT", "https://s.yimg.com/pe/vguide/tnt.png"));
            add(new Service("USA Network", "https://s.yimg.com/pe/vguide/usa-network.png"));
            add(new Service("VH1", "https://s.yimg.com/pe/vguide/vh-1.png"));
            add(new Service("Spike", "https://s.yimg.com/pe/vguide/spike.png"));
            add(new Service("BET", "https://s.yimg.com/pe/vguide/bet.png"));
            add(new Service("WE tv", "https://s.yimg.com/pe/vguide/we-tv.png"));
            add(new Service("Food Network", "https://s.yimg.com/pe/vguide/food-network.png"));
            add(new Service("Epix", "https://s.yimg.com/pe/vguide/epix.png"));
            add(new Service("Cinemax", "https://s.yimg.com/pe/vguide/cinemax.png"));
            add(new Service("XFINITY", "https://s.yimg.com/pe/vguide/xfinity.png"));
        }};

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        RecyclerView recyclerView = (RecyclerView)findViewById(R.id.rec);
        recyclerView.setLayoutManager(new LinearLayoutManager(this));

        recyclerView.setAdapter(new RecyclerView.Adapter() {
            @Override
            public RecyclerView.ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
                final View inflated = LayoutInflater.from(parent.getContext()).inflate(
                        R.layout.item, parent, false);
                return new ViewHolder(inflated);
            }

            @Override
            public void onBindViewHolder(RecyclerView.ViewHolder holder, int position) {
                ViewHolder viewHolder = (ViewHolder) holder;
                Service service = services.get(position);


                Glide.with(viewHolder.logo.getContext()).load(service.imageUrl).into(viewHolder.logo);

                viewHolder.text.setText(service.serviceName);
            }

            @Override
            public int getItemCount() {
                return services.size();
            }
        });
    }

    static class ViewHolder extends RecyclerView.ViewHolder {
        public final ImageView logo;
        public final TextView text;

        public ViewHolder(View itemView) {
            super(itemView);
            logo = (ImageView) itemView.findViewById(R.id.logo);
            text = (TextView) itemView.findViewById(R.id.text1);

        }
    }
}
